{-# LANGUAGE DeriveDataTypeable #-}

-- | Definition of the 'Backend' type representing the database
--   backends we support. We should be able to support anything that
--   Groundhog does.
--
module Backend (
  Backend(..) )
where

import Data.Data ( Data )
import Data.Typeable ( Typeable )
import System.Console.CmdArgs.Default ( Default(..) )

-- | An enumeration type for the allowed database backends.
data Backend = Sqlite | Postgres
               deriving (Data, Eq, Read, Show, Typeable)

instance Default Backend where
  -- | The default 'Backend' is 'Sqlite' because it is the simplest,
  --   and can run in memory.
  def = Sqlite
